# -*- coding: utf-8 -*-
import json
import operazioni


#Questa funzione si occupa del caricamento degli ordini salvati su file.
#Gli ordini presenti su file (JSON) sono organizzati sotto forma di dizionario,
#letto e modificato con le operazioni del programma.
"""
def caricamento_ordini():
    try:
        with open("ordini.json", 'r') as f:
            operazioni.ordini = json.load(f)
        print "Sono stati caricati ordini precedenti."
    except IOError:
        print "Non sono stati trovati ordini precedenti."
"""
#Questa funzione si occupa della visualizzazione del menu del programma e della
#gestione delle operazioni che si possono effettuare. Tali operazioni sono
#memorizzate all'interno di un dizionario, facilitandone la gestione. Infatti,
#piuttosto che utilizzare blocchi if-else, che avrebbe comportato scrivere un
#maggior numero di righe di codice, l'operazione di selezione di una
#operazione avviene con una singola chiamata get al dizionario.
#Inoltre, sono stati effettuati opportuni controlli:
#- sul numero rappresentante l'operazione da effettuare, con blocco try-except
#- sulla key con cui accedere al dizionario, con blocco if
"""
def menu():

    switcher = {
        1: operazioni.cerca_ordine,
        2: operazioni.aggiungi_ordine,
        3: operazioni.modifica_ordine,
        4: operazioni.modifica_ordinazione,
        5: operazioni.ricavo_totale,
        6: operazioni.elimina_ordine,
        7: operazioni.close
    }

    print """Programma per la gestione degli ordini di asporto.
        Specificare il numero dell'operazione che s'intende effettuare:
        1 - Cercare un ordine in base al cognome
        2 - Aggiungere un nuovo ordine
        3 - Modificare un ordine
        4 - Modificare ordinazione
        5 - Calcolare il ricavo totale
        6 - Eliminare un ordine
        7 - Uscire dal programma
        """

    while True:
        try:

            operazione = int(raw_input("\nInserisci il numero dell'operazione da eseguire: "))
            if switcher.get(operazione, False):
                switcher.get(operazione)()
            else:
                print "Operazione non prevista. Riprovare."

        except ValueError:
            print "Input non valido. Riprovare."

        print """
            Programma per la gestione degli ordini di asporto.
            Specificare il numero dell'operazione che s'intende effettuare:
            1 - Cercare un ordine in base al cognome
            2 - Aggiungere un nuovo ordine
            3 - Modificare un ordine
            4 - Modificare ordinazione
            5 - Calcolare il ricavo totale
            6 - Eliminare un ordine
            7 - Uscire dal programma
            """

   
if __name__ == "__main__":
    caricamento_ordini()
    menu()


